//******************************************************************************
// This is an adapted version of Microchip's PICKit3 Lesson 1
// titled "PIC18F46K20 Starter Kit Lesson 1 - Hello LED".
// *******************************************************************
// This file is used in EEE3074W Prac5.
// Please refer to the Prac5 tutorial for things to do.
// *******************************************************************
// The baseline version of this program swaps between turning on
// LED 7 and LED 6 on/off on the demo board.
// *******************************************************************

/** C O N F I G U R A T I O N   B I T S ******************************/
#pragma config FOSC = INTIO67
#pragma config WDTEN = OFF, LVP = OFF, MCLRE = OFF

/** I N C L U D E S **************************************************/
#include "p18f45k20.h"

/** DECLARATIONS AND FUNCTIONS ***************************************/

void wait (void)
// Cause a short delay
{
  int i,j = 0;
  for (i = 0; i<5000; i++) j++;
}

void main (void)
// The entry point to the program
{
    // Configure tristate PIO D
    TRISD = 0b00000001; 	// PORTD bit 1 to 7 to as output (0); bit 0 as input (1)

	LATDbits.LATD1 = 1;		// Set LAT registers to turn on 2nd LED
    wait();
    LATDbits.LATD1 = 0;		// Set LAT registers to turn off 2nd LED

    // swap between LED6 and LED7
	while (1) {
      wait();
      LATDbits.LATD7 = 0;		// Clear LAT register bit 7 to turn off LED
      LATDbits.LATD6 = 1;		// Set LAT registers to turn on LEDs
      wait();
      LATDbits.LATD7 = 1;		// Clear LAT register bit 7 to turn on LED
      LATDbits.LATD6 = 0;		// Set LAT registers to turn on LEDs
      }
}
